> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhooks



## OpenAPI

````yaml GET /webhooks
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /webhooks:
    get:
      summary: Lists all the webhooks
      parameters:
        - name: offset
          in: query
          description: The offset to start at
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            default: 0
        - name: limit
          in: query
          description: The number of items to return
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 100
            default: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                  webhooks:
                    type: array
                    items:
                      $ref: '#/components/schemas/CreatedWebhook'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorizedApiKey'
components:
  schemas:
    Pagination:
      type: object
      required:
        - offset
        - limit
        - count
      properties:
        offset:
          description: The offset to start at - zero based
          type: integer
          format: int32
          minimum: 1
          default: 0
          example: 75
        limit:
          type: integer
          format: int32
          minimum: 1
          maximum: 100
          default: 20
          example: 25
        count:
          type: integer
          format: int32
          example: 14
          minimum: 0
        total_count:
          type: integer
          format: int32
          example: 89
    CreatedWebhook:
      allOf:
        - required:
            - webhook_id
          properties:
            webhook_id:
              type: string
              description: The id of the webhook
              example: 95a0e70b-fe02-4f47-aef9-2efff279df71
        - $ref: '#/components/schemas/Webhook'
        - required:
            - created_at
          properties:
            created_at:
              $ref: '#/components/schemas/Date'
    Webhook:
      type: object
      required:
        - name
        - events
        - url
      properties:
        name:
          type: string
          description: A unique name of the webhook
          example: user-payroll-submitted
        events:
          type: array
          items:
            type: string
          example:
            - user-payroll-submitted
            - user-hmrc-data-submitted
            - user-bank-statement-submitted
        url:
          type: string
          format: url
          example: https://webhooks.company.com
        signing_secret:
          type: string
          description: >-
            A secret to sign the body of the webhook as described at
            "https://docs.goteal.co"
          writeOnly: true
          example: very-secret
        encryption_key:
          type: string
          description: >-
            A randomly generated 32-byte key, encoded in Base64, used to encrypt
            messages. This key is necessary for encryption but is not
            retrievable after being set.
          writeOnly: true
          example: St/73LZ1xHkwX5TanL7V+YAVczn4acozPf3cFySKQXI=
        config:
          type: object
          description: Configuration properties of the webhook
          writeOnly: true
          properties:
            include_payload:
              type: boolean
              description: >-
                Whether to include or not the payload of the event in the
                webhook
              example: true
    Date:
      type: string
      format: date-time
      example: '2019-05-17T00:00:00.000Z'
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          description: An array of messages describing the errors
          example:
            - The request is missing the required field `name`
    Unauthorized:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the errors
          example:
            - No X-API-KEY header provided or wrong value
  responses:
    BadRequest:
      description: Bad request if one of the required parameters is missing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnauthorizedApiKey:
      description: Unauthorized if the X-API-KEY is not provided or is wrong
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````